#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA351_G14ED_G20E_G21E
#ifndef NOCOPYPROTECTION
segment "user"

BOOLEAN F2151_CPSX(
P6050_, P6051_)
unsigned char*    P6050_ SEPARATOR
unsigned int16_t* P6051_ FINAL_SEPARATOR
{
        unsigned int16_t* L6223_;


        do {
                L6223_ = (unsigned int16_t*)(P6050_ + *P6051_++);
                if (*L6223_ != *P6051_++) {
                        return C0_FALSE;
                }
        } while (*P6051_ != 0xFFFF);
        return C1_TRUE;
}

BOOLEAN F2152_CPSX(
P6052_, P6053_)
unsigned char* P6052_ SEPARATOR
unsigned long* P6053_ FINAL_SEPARATOR
{
        unsigned long* L6224_;


        do {
                L6224_ = (unsigned long*)(P6052_ + *P6053_++);
                if ((*L6224_ & 0x00FFFFFF) != *P6053_++) {
                        return C0_FALSE;
                }
        } while (*P6053_ != 0xFFFFFFFF);
        return C1_TRUE;
}
#endif
#endif
